summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorKari Oikarinen <kari.oikarinen@qt.io>2018-02-27 11:58:04 +0200
committerKari Oikarinen <kari.oikarinen@qt.io>2018-03-01 14:32:38 +0000
commitef2315af7321c46f2c3a540826237fe2d8c943b7 (patch)
treeb9ccd710a754477c5b92342306d9e447d5029bb4
parent137ed3408da15bec8bc0ee94e723e26b96e12a2c (diff)
Install libusbx-devel for QDB on RHEL 7.4
On previous RHEL version the package was libusb1-devel. That package doesn't seem to be there anymore, which presumably means why the package to install was changed to libusb-devel. Unfortunately libusb-devel provides a compatibility package for the old 0.1 API version and doesn't work with QDB. libusbx-devel seems to be the new name for the 1.0 API version of libusb on RHEL. (cherry picked from commit 140c6479b5916e21d6c03a94f844a0f8693af0f8) Change-Id: I978e9842b3f0ec3a355cd1724934c99a531903ef Reviewed-by: Samuli Piippo <samuli.piippo@qt.io>
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.4-x86_64/04-install-packages.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/04-install-packages.sh b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/04-install-packages.sh
index 60f5ad29..87bb14a2 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/04-install-packages.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/04-install-packages.sh
@@ -61,7 +61,7 @@ installPackages+=(gstreamer1-plugins-base-devel)
# gtk3 style for QtGui/QStyle
installPackages+=(gtk3-devel)
# libusb1 for tqtc-boot2qt/qdb
-installPackages+=(libusb-devel)
+installPackages+=(libusbx-devel)
# speech-dispatcher-devel for QtSpeech, otherwise it has no backend on Linux
installPackages+=(speech-dispatcher-devel)
# Python